import time
import locale
from datetime import date

def test_1():
    now = time.time()
    print(now)

    # Преобразование epoch в строку
    print(time.ctime(now))

    # Время в текущем часовом поясе
    print(time.localtime())

    # Время в UTC
    print(time.gmtime())

    # Преобразование в формат epoch
    print(time.mktime(time.localtime()))

def test_2():
    now = time.localtime()
    print(now[0])
    print(list(now[x] for x in range(9)))

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Формат ввода/вывода времени и даты
    
# Время в строку
def test_3():
    fmt = "It's %A, %B, %d, %Y, local time %I:%M:%S%p"
    t = time.localtime()
    print(t)
    print(time.strftime(fmt, t))

# Строку во время
def test_4():
    fmt = "%Y-%m-%d"
    print(time.strptime("2019-01-29", fmt))

# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
# Настройка локальных параметров даты и времени
    
def test_5():
    # print(locale.locale_alias.keys())
    ru = [name for name in locale.locale_alias.keys() if name.startswith('ru')]
    print(ru)
    day = date(2024, 7, 31)
    print(day)
    print(day.strftime('%A, %B %d'))
    locale.setlocale(locale.LC_TIME, ru[0])
    print(day.strftime('%A, %B %d'))



print(time.ctime(time.time()))

# test_1()
# test_2()
# test_3()
# test_4()
# test_5()